\name{mapPlot}
\alias{mapPlot}
\title{Plot data on map}
\description{
  Plot numeric data onto map using color codes.
}
\usage{
mapPlot(x, database, main = NULL, col = topo.colors(100), ...)
}
\arguments{
  \item{x}{numeric vector of data.  \code{names(x)} must be the names of
    the corresponding regions.} 
  \item{database}{character string, name of the geographical database
    which contains corresponding regions.}
  \item{main}{main title of the plot}
  \item{col}{vector of colors for color coding}
  \item{\dots}{further argument to the \code{map} call.}
}
\details{
  The function plots data onto map using named regions.  One region may
  contain several polygons.  A legend with different color codes is
  drawn. 
}
\value{
None
}
\references{
  Richard A. Becker, and Allan R. Wilks,
  "Maps in S",
}
\author{
    Ott Toomet \email{otoomet@econ.au.dk}
}
\note{
  Note that the encoding of non-ascii chars
  must be the same as in the geographic database.
}
\seealso{
  \code{\link{map}}, \code{\link{World2}}
}
\examples{
x <- runif(14)
names(x) <- c("rhus", "Bornholm", "Nordjylland", "Viborg", 
"Ringkbing", "Vejle", "Ribe", "Snderjylland"
"Fyn", "Vestsjlland", "Storstrm", "Roskilde", 
"Frederiksborg", "Kbenhavn")
mapPlot(x, "danmark")
}
\keyword{maps}
\keyword{hplot}







